#!/usr/bin/sh

DIRNAME="/usr/share/java/keycloak-client"

if [ -z "$JAVA" ]; then
    if [ -n "$JAVA_HOME" ]; then
        JAVA="$JAVA_HOME/bin/java"
    else
        JAVA="java"
    fi
fi

exec "$JAVA" $KC_OPTS -cp $DIRNAME/keycloak-admin-cli-24.0.3.jar --add-opens=java.base/java.security=ALL-UNNAMED -Dkc.lib.dir=$DIRNAME/lib org.keycloak.client.admin.cli.KcAdmMain "$@"
